apiVersion: apps/v1
kind: Deployment
metadata:
  name: minage
  labels:
    app: minage
spec:
  replicas: 3
  selector:
    matchLabels:
      app: minage
  template:
    metadata:
      labels:
        app: minage
    spec:
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: gpu
                operator: In
                values:
                - ASUS77V
                - NV745X
      containers:
      - name: mineur
        image: cryptocoin
